# Real-time sign language translator - 2022-099
> Work in Progress

#### Background

At present, the world comprises more than about 430 million deaf-mute people. And even among them ASL is the most widely used sign language in the world. Because of their limitations to communicate with the rest of the society, in hopes of bridging the gap between them and ordinary people, there is no actual method or a product that is both easy to use and professionally invented.

#### Main Research Question

As everyone knows, there exist a communication barrier between the deaf-mute people and normal people. Therefore an urgent need for a product which can Translate both sign language and natural language arises.

#### Main Objective

- The main objective of our team is to develop a **web app** to do **real-time sign language translation** to text and vice versa.

#### Sub Objectives

1. Detecting and identifying Sign language (hand/face gestures)

2. Predicting grammatically correct sentences using the words relevant to the given sign and narrating them

3. Translating text in images to sign language 

4. Translating input text to sign language and implementing sign language keyboard

## Individual Contribution

**R.K.D.M.P. Rathnayake - IT18043860 (Team Leader)**

#### Research Question

1. How to Translate Sign language to Natural language, Accurately and Effectively?

#### Objectives and Sub-Objectives

1. Detecting and Identifying Sign Language gestures
    - Detect and Identify Motion (Face to Face/Online).
    - Predict Sign Language.

--------------------------------------------------------------------------------------------

**K.G. Rajapakse - IT19014814**

#### Research Question

1. How can we make the communication between sign language user and normal person more understandable and fluid?

#### Objectives and Sub-Objectives

1. Build a System to predict grammatically correct sentences and narrating them
    - Find the best algorithm to predict grammatically correct sentences.
    - Train the model with training data set.
    - Evaluate the model on the test data set.
    - Predict the grammatically correct sentence.
    - Narrate the sentence.

--------------------------------------------------------------------------------------------

**W.M.S.T. Wijekoon - IT19210452**

#### Research Question

1. How do deaf-mute people who are not literate in English will access information that is in English?
2. Does it meet the needs of a deaf user If audio information is presented as written English text ?

#### Objectives and Sub-Objectives

1. Build a system that can translate an image containing English texts into American sign language (ASL)
    - Extract texts from the given input image.
    - Translate the extracted texts into American sign language (ASL) symbols.

--------------------------------------------------------------------------------------------

**K.A.Rasanjalee - IT19150444**

#### Research Question

1. How to get a more accurate translation of the text to sign language and the sign language keyboard that eases the communication?

#### Objectives and Sub-Objectives

1. Build a system that can translate text to sign language avatar and sign language keyboard
    - Converting user input text/sentence to signs using an Avatar.
    - Virtual sign keyboard.